# Uses of Class
gnu.jel.ClassFile

Packages that use ClassFile
Package
Description
gnu.jel

## Uses of ClassFile in gnu.jel

Fields in gnu.jel declared as ClassFile
Modifier and Type
Field
Description
`protected static ClassFile`
Evaluator.`cf_orig`
Methods in gnu.jel that return ClassFile
Modifier and Type
Method
Description
`ClassFile`
ClassFile.`clone()`
Makes a clone of this object.
Methods in gnu.jel with parameters of type ClassFile
Modifier and Type
Method
Description
`abstract void`
OP.`compile(ClassFile cf)`
Called to generate the code implementing this OP.
`void`
OPbinary.`compile(ClassFile cf)`
`void`
OPcall.`compile(ClassFile cf)`
`void`
OPcondtnl.`compile(ClassFile cf)`
`void`
OPload.`compile(ClassFile cf)`
`void`
OPunary.`compile(ClassFile cf)`